Get Curator Metadata
Get a curator's metadata (name, image, tags, cross-platform social stats) by platform and Chartmetric id. Supported platforms: spotify, applemusic, deezer, amazon, youtube.
Path Parameters
- Type: string enumplatformrequired
Streaming platform. Curator metadata is supported on
spotify,applemusic,deezer,amazon,youtube.values- cm
- spotify
- itunes
- applemusic
- deezer
- Type: integeridmin:0max:2147483647required
Chartmetric curator ID.
Responses
- application/json
Request Example for get/api/curator/{platform}/{id}
curl https://api.chartmetric.com/api/curator/cm/0 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"obj": {
"id": 2,
"user_id": "spotify",
"name": "Spotify",
"image_url": "https://i.scdn.co/image/ab6775700000ee8555c25988a6ac314394d3fbf5",
"last_updated": "2021-05-06T07:00:00.000Z",
"cm_statistics": {
"num_sp_playlists": 70967,
"sp_followers": 9563979,
"max_sp_playlist_followers": 27702406,
"sp_playlist_total_reach": 2082364476
},
"tags": [
{
"id": 103,
"name": "folk"
},
{
"id": 112,
"name": "rock"
},
{
"id": 114,
"name": "classical"
}
],
"instagram_followers": 6622570,
"soundcloud_followers": null,
"facebook_fans": 22691516,
"facebook_followers": 22772732,
"youtube_views": "552256171",
"youtube_subscribers": 1200000,
"twitter_followers": 4181216,
"twitter_retweets": 7110,
"tiktok_likes": "834600",
"tiktok_followers": 199000
}
}